- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
WP6UndoGroup Class Reference

`#include <WP6UndoGroup.h>`

Inheritance diagram for WP6UndoGroup:

## Public Member Functions
| WP6UndoGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
void | parse (WP6Listener *listener)
Public Member Functions inherited from WP6FixedLengthGroup
| WP6FixedLengthGroup (unsigned char groupID)
unsigned char | getGroup () const
Public Member Functions inherited from WP6Part
virtual | ~WP6Part ()

## Protected Member Functions
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
Protected Member Functions inherited from WP6FixedLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)

## Private Attributes
unsigned char | m_undoType
unsigned short | m_undoLevel

## Additional Inherited Members
Static Public Member Functions inherited from WP6FixedLengthGroup
static WP6FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP6Part
static WP6Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Constructor & Destructor Documentation

WP6UndoGroup::WP6UndoGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | groupID
| ) |  |

## Member Function Documentation

void WP6UndoGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| protected virtual

Implements WP6FixedLengthGroup.

void WP6UndoGroup::parse | ( | WP6Listener * | listener | ) |
| virtual

Implements WP6Part.

## Member Data Documentation

unsigned short WP6UndoGroup::m_undoLevel
| private

Referenced by _readContents(), and parse().

unsigned char WP6UndoGroup::m_undoType
| private

Referenced by _readContents(), and parse().

The documentation for this class was generated from the following files:

- WP6UndoGroup.h
- WP6UndoGroup.cpp